> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a subscription

> Retrieve a subscription for the authenticated workspace by its ID



## OpenAPI

````yaml GET /subscriptions
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /subscriptions:
    get:
      tags:
        - Subscriptions
      summary: retrieve Subscription information
      responses:
        '200':
          description: Subscription details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the subscription
                    example: 1110580a82031111aaa01111
                  plan:
                    type: string
                    description: The subscription plan
                    example: FREE
                    enum:
                      - FREE
                      - PRO
                      - CUSTOM
                  billingCycleStart:
                    type: string
                    nullable: true
                    description: The start date of the billing cycle
                    example: null
                  stripeId:
                    type: string
                    description: Stripe customer ID
                  domainsLimit:
                    type: integer
                    description: Limit of domains allowed
                    example: 1000
                  interval:
                    type: string
                    description: Billing interval
                    example: month
                  projectsLimit:
                    type: integer
                    description: Limit of workspaces allowed
                    example: 100
                  usersLimit:
                    type: integer
                    description: Limit of users allowed
                    example: 100
                  stockageLimit:
                    type: integer
                    description: Storage limit in bytes
                    example: 5368709120
                  clicksLimit:
                    type: integer
                    description: Limit of clicks allowed
                    example: 1000000
                  shortLinksLimit:
                    type: integer
                    description: Limit of short links allowed
                    example: 100
                  qrCodeLinksLimit:
                    type: integer
                    description: Limit of QR code links allowed
                    example: 100
                  retentionLimit:
                    type: string
                    description: Data retention limit
                    example: RE_30_DAY
                  fileAvailabilityLimit:
                    type: string
                    description: File availability limit
                    example: FA_7_DAY
                  isCanceledAtPeriodEnd:
                    type: boolean
                    description: >-
                      Indicates if the subscription is canceled at the period
                      end
                    example: false
                  subscriptionScheduleId:
                    type: string
                    nullable: true
                    description: Subscription schedule ID
                    example: null
                  periodEnd:
                    type: string
                    format: date-time
                    description: Period end date
                    example: '2024-08-04T20:17:33.000Z'
                  isCancelAt:
                    type: string
                    nullable: true
                    description: Indicates if the subscription is set to cancel
                    example: null
                  amount:
                    type: number
                    format: float
                    description: Amount charged for the subscription
                    example: 0
                  isPaymentFailed:
                    type: boolean
                    description: Indicates if the payment has failed
                    example: false
                  isPaid:
                    type: boolean
                    description: Indicates if the subscription is paid
                    example: true
                  schedulePlan:
                    type: string
                    nullable: true
                    description: Scheduled plan
                    example: null
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````